<div class="context">
  <div class="container">

    <div class="row">
      <div class="col-md-4">
        <div class="go-back" (click)="goToHome()">
          <i class="material-icons md-18 ">backspace</i>
        </div>

      </div>
      <div class="col-md-3 title">
        Registration
      </div>
    </div>

    <form class="login-form" [formGroup]="form" (ngSubmit)="register()">
      <div class="row">
        <div class="col-md-2"></div>

        <div class="col-md-4">
          <mat-form-field appearance="legacy" class="full-width">
            <mat-label>Name</mat-label>
            <input matInput placeholder="Name" formControlName="name">
          </mat-form-field>
          <error-form [control]="'name'" [form]="form"></error-form>
        </div>

        <div class="col-md-4">
          <mat-form-field appearance="legacy" class="full-width">
            <mat-label>Last Name</mat-label>
            <input matInput placeholder="Last Name" formControlName="lastName">
          </mat-form-field>
          <error-form [control]="'lastName'" [form]="form"></error-form>
        </div>

      </div>


      <div class="row">
        <div class="col-md-2"></div>

        <div class="col-md-4">
          <mat-form-field appearance="legacy" class="full-width">
            <mat-label>Username</mat-label>
            <input matInput placeholder="Username" formControlName="username">
          </mat-form-field>
          <error-form [control]="'username'" [allMessages]="validationMessages" [form]="form"></error-form>
        </div>

        <div class="col-md-4">
          <mat-form-field appearance="legacy" class="full-width">
            <mat-label>Email</mat-label>
            <input matInput placeholder="Email" formControlName="email">
          </mat-form-field>
          <error-form [form]="form" [control]="'email'"></error-form>
        </div>


      </div>

      <div class="row">
        <div class="col-md-2"></div>

        <div class="col-md-4">
          <mat-form-field appearance="legacy" class="full-width">
            <mat-label>Password</mat-label>
            <input matInput placeholder="Password" type="password" formControlName="password">
          </mat-form-field>
          <error-form [control]="'password'" [allMessages]="validationMessages" [form]="form"></error-form>
        </div>

        <div class="col-md-4">
          <mat-form-field appearance="legacy" class="full-width">
            <mat-label>Repeat password</mat-label>
            <input matInput placeholder="Repeat your password" type="password" formControlName="repeatPassword">
          </mat-form-field>


          <error-form [control]="'repeatPassword'" [form]="form" [allMessages]="validationMessages"></error-form>
        </div>

      </div>


      <div class="row">
        <div class="col-md-4"></div>
        <div class="col-md-3">
          <div class="error-message" *ngIf="errorMessage | async as errorMessage">
            {{errorMessage}}
          </div>
        </div>
      </div>


      <div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-4">
          <button class="button-submit" mat-flat-button type="submit" color="primary">Register</button>
        </div>
      </div>

      <div class="row">
        <div class="col-md-8"></div>
          <div class="col-md-2">
            <div class="login-text" (click)="goToLogin()">Go to App <i class="material-icons md-18 ">arrow_right_alt</i></div>
        </div>
      </div>

    </form>
  </div>
</div>
